package com.bcxin.tenant.domain.configs;

import cn.hutool.core.util.RandomUtil;
import com.bcxin.tenant.domain.readers.TenantDbReader;
import com.bcxin.tenant.domain.readers.dtos.TenantUserDto;
import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;
import org.springframework.stereotype.Component;

@Data
@ConfigurationProperties(prefix = "tenant.config")
@Component
public class TenantUserConfig {
    private TenantDbReader tenantDbReader;
    private  String code;
    private  String region;
    private boolean intranet = false;
}
