package com.bcxin.tenant.domain.services;

import com.bcxin.api.interfaces.identities.requests.InvitedToJoinQueuesRequest;
import com.bcxin.api.interfaces.tenants.responses.InvitedToJoinQueuesHandleResponse;
import com.bcxin.tenant.domain.services.commands.InvitedToJoinQueuesCommand;

import java.util.List;

public interface InvitedToJoinQueuesService {

    void dispatch(InvitedToJoinQueuesCommand invitedToJoinQueuesCommand);

    void update(InvitedToJoinQueuesRequest request);

    /**
     * description：根据证件号码，查询邀请入职列表，取最新的那条
     * author：linchunpeng
     * date：2024/4/18
     */
    List<InvitedToJoinQueuesHandleResponse> findListByCredentialNumbers(List<String> credentialNumberList);
}
