package com.bcxin.tenant.domain.services;

import com.bcxin.tenant.domain.dto.XlcpReportDto;
import com.bcxin.tenant.domain.entities.XlcpEntity;
import com.bcxin.tenant.domain.services.commands.xlcp.CreateXlcpCommand;
import com.bcxin.tenant.domain.services.commands.xlcp.UpdateXlcpCommand;

import java.util.Collection;
import java.util.List;

public interface XlcpService {
    void dispatch(CreateXlcpCommand command);

    void dispatch(UpdateXlcpCommand command);

    boolean isWithinTheDeadline(String empId);

    Collection<XlcpReportDto> findByEmployeeIdAndProjectName(String employeeId, String projectName);
}
