package com.bcxin.tenant.domain.readers.dtos;

import lombok.Getter;

import java.util.Collection;

@Getter
public class EmployeeOrgBusinessTokenInfoDto {
    private final String id;
    private final String employeeId;
    private final String areaCode;
    private final String industryCode;
    private final String institutionalCode;
    private final Collection<Integer> organizationLevels;

    public EmployeeOrgBusinessTokenInfoDto(
            String employeeId,
            String areaCode,
            String id,
            String industryCode,
            String institutionalCode,
            Collection<Integer> organizationLevels) {
        this.areaCode = areaCode;
        this.id = id;
        this.industryCode = industryCode;
        this.institutionalCode = institutionalCode;
        this.employeeId = employeeId;
        this.organizationLevels = organizationLevels;
    }

    public static EmployeeOrgBusinessTokenInfoDto create(
            String employeeId,
            String areaCode,
            String id,
            String industryCode, String institutionalCode,
            Collection<Integer> organizationLevels
    ) {
        return new EmployeeOrgBusinessTokenInfoDto(
                employeeId, areaCode,
                id, industryCode, institutionalCode, organizationLevels);
    }
}
